<template>
    <div :style="'padding:'+padding+'px 0;cursor: pointer;'" @click="clickCallback">
        <span :class="size=='small'?'smallDocTitle':'doctitle'"><span :class="size=='small'?'smallTitle':'blocktitle'"></span>{{title}}</span>
    </div>
</template>
<script>
export default {
  name:'documentTitle',
    props:{
      padding:{
        type:Number,
        default:()=>{
          return 16
        }
      },
      title:{
        type:String,
        default:()=>{
          return ''
        }
      },
      size:{
        type:String,
        default:()=>{
          return ''
        }
      }
    },
    data(){
        return{}
    },
    methods: {
      clickCallback(){
        this.$emit('clickCallback');
      }
    }
}
</script>
<style scoped>
.doctitle{
    font-size: 16px;
    font-weight: 800;
    color:#001C28;
}
.smallDocTitle{
  font-size: 14px;
  color: #727475;
  line-height: 18px;
  font-weight: 800;
}

</style>
